---
layout: default
title: Scalable app deployment with GitLab and Google Cloud Platform
suppress_header: true
extra_css:
  - styles-2018.css
---

.wrapper
  .page-illustrated-header-container
    .container
      .header-container-content
        .row 
          .col-xs-12.col-md-3.col-md-offset-1
            = partial "includes/icons/gitlab-gke-integration.svg"
          .col-md-6.col-md-offset-1{ :style => "margin-top: 35px;" }
            %h1.page-headline Scalable app deployment 
            %h2.page-subtitle with GitLab and Google Cloud Platform

  .content-container
    .wrapper.container{ role: "main" }
      .row
        .col-xs-12.col-md-6.col-md-offset-1
          .content-section
            %h3 April 26th, 10 AM EDT or 2 PM EDT
            %p With the GitLab + Google Kubernetes Engine (GKE) integration, developers have the power to spin up a Kubernetes cluster managed by Google Cloud Platform (GCP) in a few clicks. The integration’s versatility speeds up software development and delivery while maintaining security and scale, allowing developers to focus on building apps instead of managing infrastructure.

            %p Join William Chia, Senior Product Marketing Manager at GitLab, and William Denniss, Product Manager at Google, as they explain how to deploy applications at scale using GKE and GitLab’s robust Auto DevOps capabilities.

          .content-section
            %h3 In this webcast, we'll cover:
            %ul
              %li The basics of cloud environments, including benefits and challenges
              %li How the GitLab GKE integration simplifies setting up and deploying to a Kubernetes cluster
              %li A demo highlighting how easy it is to set up a Kubernetes Cluster, how to deploy your app using GitLab CI/CD, and how GKE allows you to deploy at scale
              
        .col-md-4.col-md-offset-1
          %h2 Register for the webcast
          %p If form does not render, please use <a href="https://www.google.com/chrome/" target="_blank">another browser</a>.
          .centered-form
            %script{src: "//app-ab13.marketo.com/js/forms2/js/forms2.min.js"}
            %form#mktoForm_1554
            :javascript
              MktoForms2.loadForm("//app-ab13.marketo.com", "194-VVC-221", 1554, function(form) {
                form.onSuccess(function() {
                  form.getFormElem().hide();
                  $('.confirmform').attr('style', 'visibility: visible');
                  return false;
                });
              });
            .confirmform{style: "visibility:hidden;"}
              .centered-form-info
                %h3 Registration received!
                %p Thank you for registering. You will receive an email with additional webcast details.
